Package org.apache.sysds.runtime.controlprogram.paramserv.dp

## Class DRRLocalScheme

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionLocalScheme
  - - org.apache.sysds.runtime.controlprogram.paramserv.dp.DRRLocalScheme

    public class DRRLocalScheme
    extends DataPartitionLocalScheme

Disjoint_Round_Robin data partitioner: for each worker, use a permutation multiply or simpler a removeEmpty such as removeEmpty (target=X, margin=rows, select=(seq(1,nrow(X))%%k)==id)

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionLocalScheme

`DataPartitionLocalScheme.Result`

### Constructor Summary

Constructors
`DRRLocalScheme()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DataPartitionLocalScheme.Result` `doPartitioning​(int workersNum, MatrixBlock features, MatrixBlock labels)`
`static MatrixBlock` `removeEmpty​(MatrixBlock mb, int k, int workerId)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DRRLocalScheme

    public DRRLocalScheme()

### Method Detail

#### removeEmpty

    public static MatrixBlock removeEmpty​(MatrixBlock mb,
                                          int k,
                                          int workerId)

#### doPartitioning

    public DataPartitionLocalScheme.Result doPartitioning​(int workersNum,
                                                          MatrixBlock features,
                                                          MatrixBlock labels)

Specified by:
  `doPartitioning` in class `DataPartitionLocalScheme`